#include <Box.h>
#include "layout/layout.h"

class MBox: public MView, public BBox
{
	private:
		MView *contentview;
		BView *labelview;
		minimax lmpm;
		float labelheight;

	public:
		MBox(border_style border, BView *label, MView *content);
		MBox(border_style border, char *label, MView *content);
		virtual ~MBox();
		
		virtual void AddChild(BView *child);
		virtual minimax layoutprefs();
		virtual BRect layout(BRect);
};